Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.bridge
Class SVGAnimationEngine.AnimatableRectValueFactory

    java.lang.Object
      org.apache.batik.bridge.SVGAnimationEngine.AnimatableRectValueFactory

All Implemented Interfaces:
  SVGAnimationEngine.Factory

Enclosing class:
  SVGAnimationEngine

    protected class SVGAnimationEngine.AnimatableRectValueFactory

extends Object
implements SVGAnimationEngine.Factory

Factory class for `AnimatableNumberListValue`s.

Field Summary
`protected NumberListParser` | `parser` Parser for number lists.
`protected FloatArrayProducer` | `producer` The producer class that accumulates the numbers.

Constructor Summary
`SVGAnimationEngine.AnimatableRectValueFactory()` Creates a new AnimatableNumberListValueFactory.

Method Summary
`AnimatableValue` | `createValue(AnimationTarget target, String ns, String ln, boolean isCSS, String s)` Creates a new AnimatableValue from a string.
`AnimatableValue` | `createValue(AnimationTarget target, String pn, Value v)` Creates a new AnimatableValue from a CSS `Value`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### parser

    protected NumberListParser parser

  Parser for number lists.

### producer

    protected FloatArrayProducer producer

  The producer class that accumulates the numbers.

Constructor Detail

### SVGAnimationEngine.AnimatableRectValueFactory

    public SVGAnimationEngine.AnimatableRectValueFactory()

  Creates a new AnimatableNumberListValueFactory.

Method Detail

### createValue

    public AnimatableValue createValue(AnimationTarget target,
                                       String ns,
                                       String ln,
                                       boolean isCSS,
                                       String s)

  Creates a new AnimatableValue from a string.

  Specified by:
    `createValue` in interface `SVGAnimationEngine.Factory`

### createValue

    public AnimatableValue createValue(AnimationTarget target,
                                       String pn,
                                       Value v)

  Creates a new AnimatableValue from a CSS `Value`. Returns null since rects aren't used in CSS values.

  Specified by:
    `createValue` in interface `SVGAnimationEngine.Factory`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.